{ pkgs, ... }:

{
    # Install OBS Studio and any desired plugins
    home.packages = with pkgs; [
        obs-studio
        obs-studio-plugins.obs-vkcapture # For better Wayland capture (if you're on Wayland)
        obs-studio-plugins.move-transition # Useful for scene transitions
    # Add other OBS plugins you might need here
    ];

    # Optional: Configure environment variables or settings if needed
    # This is less common for OBS Studio, as it's mostly GUI configured.
    # Example (you might not need this):
    environment.variables = {
        QT_QPA_PLATFORM = "wayland"; # If you're on Wayland and encounter issues
    };

    # Optional: Set permissions if necessary (less common)
    # systemd.user.services.obs-studio.serviceConfig.SupplementaryGroups = [ "video" ];
}
